Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.hql
Class ExprTypeAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.makumba.providers.query.hql.ExprTypeAST

All Implemented Interfaces:
  antlr.collections.AST, Serializable

Direct Known Subclasses:
  ObjectTypeAST, ParamTypeAST

    public class ExprTypeAST

extends antlr.CommonAST

See Also:
  Serialized Form

Field Summary
`static int` | `BOOLEAN`
`(package private) int` | `dataType`
`static int` | `DATE`
`static int` | `DOUBLE`
`static int` | `FLOAT`
`static int` | `INT`
`static int` | `LONG`
`static int` | `LONGSTRING`
`static int` | `NULL`
`static int` | `PARAMETER`
`static int` | `STRING`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ExprTypeAST()`
`ExprTypeAST(int type)`

Method Summary
`int` | `getDataType()`
`String` | `getDescription()`
`protected Object` | `getExtraTypeInfo()`
`String` | `getIdentifier()`
`String` | `getObjectType()`
`String` | `getText()`
`void` | `setDataType(int dataType)`
`void` | `setDescription(String description)`
`protected void` | `setExtraTypeInfo(Object extraTypeInfo)`
`void` | `setIdentifier(String i)`

Methods inherited from class antlr.CommonAST
`getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dataType

    int dataType

### NULL

    public static final int NULL

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### DATE

    public static final int DATE

See Also:
  Constant Field Values

### LONGSTRING

    public static final int LONGSTRING

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### PARAMETER

    public static final int PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### ExprTypeAST

    public ExprTypeAST()

### ExprTypeAST

    public ExprTypeAST(int type)

Method Detail

### setIdentifier

    public void setIdentifier(String i)

### getText

    public String getText()

  Specified by:
    `getText` in interface `antlr.collections.AST`
  Overrides:
    `getText` in class `antlr.CommonAST`

### getIdentifier

    public String getIdentifier()

### getDataType

    public int getDataType()

### setDataType

    public void setDataType(int dataType)

### getObjectType

    public String getObjectType()

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getExtraTypeInfo

    protected Object getExtraTypeInfo()

### setExtraTypeInfo

    protected void setExtraTypeInfo(Object extraTypeInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20